Skip to content
POST/{organizationId}/{mandateId}/accounting/postings/moneyTransit

Create money transit

Creates a new money transit transaction for the given mandate.

Required permissions:

  • mandate.read

  • posting.insert

Permissions if fromCashTransactionId or toCashTransactionId is provided:

  • cashTransaction.edit

Path Parameters

mandateIdstringrequired
organizationIdstringrequired

Request Body required

Content-Type: application/json

fromAccountintegerrequired

minimum: 1

maximum: 999999999

toAccountintegerrequired

minimum: 1

maximum: 999999999

fromDatestringrequired
toDatestringrequired
fromCashTransactionIdstringoptional
toCashTransactionIdstringoptional
amountintegerrequired

maximum: 9999999999

exclusiveMinimum: 0

costCenter1number | nulloptional

Default: null

minimum: 1

maximum: 99999999

costCenter2number | nulloptional

Default: null

minimum: 1

maximum: 99999999

textstringoptional

Default: ""

maxLength: 1000

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/accounting/postings/moneyTransit
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/accounting/postings/moneyTransit' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "fromAccount": 1,
  "toAccount": 1,
  "fromDate": "string",
  "toDate": "string",
  "amount": 1
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

ObjectId as string

Response

200
{
  "fromPostingId": "000000000000000000000001",
  "toPostingId": "000000000000000000000001"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}